<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:30 CEST 2019 -->
<title>RefinementsPackage.Literals</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsPackage.Literals";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/RefinementsPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="RefinementsPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements</div>
<h2 title="Interface RefinementsPackage.Literals" class="title">Interface RefinementsPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">RefinementsPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each operation of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#COMPOSED_REFINEMENTS">COMPOSED_REFINEMENTS</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Composed Refinements</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#COMPOSED_REFINEMENTS__DATE">COMPOSED_REFINEMENTS__DATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Date</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#COMPOSED_REFINEMENTS__DESCRIPTION">COMPOSED_REFINEMENTS__DESCRIPTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Description</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#COMPOSED_REFINEMENTS__NAME">COMPOSED_REFINEMENTS__NAME</a></span></code>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT">REFINEMENT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinement</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT___ADD_VALUE_STATE__STRING">REFINEMENT___ADD_VALUE_STATE__STRING</a></span></code>
<div class="block">The meta object literal for the '<em><b>Add Value State</b></em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT___ADD_VALUE_STATES__ELIST">REFINEMENT___ADD_VALUE_STATES__ELIST</a></span></code>
<div class="block">The meta object literal for the '<em><b>Add Value States</b></em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING">REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</a></span></code>
<div class="block">The meta object literal for the '<em><b>Set Refinement</b></em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__DATE">REFINEMENT__DATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Date</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__DIFFERENCE">REFINEMENT__DIFFERENCE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Difference</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__KIND">REFINEMENT__KIND</a></span></code>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__LINKED">REFINEMENT__LINKED</a></span></code>
<div class="block">The meta object literal for the '<em><b>Linked</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__REFERENCE">REFINEMENT__REFERENCE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Reference</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__STATE">REFINEMENT__STATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>State</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__VALUE">REFINEMENT__VALUE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Value</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__VALUE_STATES">REFINEMENT__VALUE_STATES</a></span></code>
<div class="block">The meta object literal for the '<em><b>Value States</b></em>' attribute list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS">REFINEMENTS</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinements</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___ADD_REFINEMENT__REFINEMENT">REFINEMENTS___ADD_REFINEMENT__REFINEMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Add Refinement</b></em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING">REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</a></span></code>
<div class="block">The meta object literal for the '<em><b>Find Refinements By Reference</b></em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___GET_REFINEMENT__INT">REFINEMENTS___GET_REFINEMENT__INT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Get Refinement</b></em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___GET_REPLACE_INDEX__ELIST">REFINEMENTS___GET_REPLACE_INDEX__ELIST</a></span></code>
<div class="block">The meta object literal for the '<em><b>Get Replace Index</b></em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT">REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Index Of Refinement</b></em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___REMOVE_REFINEMENT__INT">REFINEMENTS___REMOVE_REFINEMENT__INT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Remove Refinement</b></em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___SAVE_REFINEMENTS__STRING">REFINEMENTS___SAVE_REFINEMENTS__STRING</a></span></code>
<div class="block">The meta object literal for the '<em><b>Save Refinements</b></em>' operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EOperation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT">REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Set Refinement</b></em>' operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS__COMPOSEDREFINEMENTS">REFINEMENTS__COMPOSEDREFINEMENTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Composedrefinements</b></em>' containment reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS__ID">REFINEMENTS__ID</a></span></code>
<div class="block">The meta object literal for the '<em><b>Id</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS__REFINEMENTS">REFINEMENTS__REFINEMENTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Refinements</b></em>' containment reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../refinement/model/refinements/RefinementsPackage.Literals.html#STATES">STATES</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code><em>States</em></code></a>' enum.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="REFINEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass REFINEMENT</pre>
<div class="block">The meta object literal for the '<a href="../../../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinement</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><code>RefinementImpl</code></a>, 
<a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinement--"><code>RefinementsPackageImpl.getRefinement()</code></a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENT__REFERENCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__REFERENCE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute REFINEMENT__REFERENCE</pre>
<div class="block">The meta object literal for the '<em><b>Reference</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT__DIFFERENCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__DIFFERENCE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute REFINEMENT__DIFFERENCE</pre>
<div class="block">The meta object literal for the '<em><b>Difference</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT__VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__VALUE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute REFINEMENT__VALUE</pre>
<div class="block">The meta object literal for the '<em><b>Value</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute REFINEMENT__KIND</pre>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT__VALUE_STATES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__VALUE_STATES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute REFINEMENT__VALUE_STATES</pre>
<div class="block">The meta object literal for the '<em><b>Value States</b></em>' attribute list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT__DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__DATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute REFINEMENT__DATE</pre>
<div class="block">The meta object literal for the '<em><b>Date</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT__LINKED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__LINKED</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference REFINEMENT__LINKED</pre>
<div class="block">The meta object literal for the '<em><b>Linked</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT__STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT__STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute REFINEMENT__STATE</pre>
<div class="block">The meta object literal for the '<em><b>State</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</pre>
<div class="block">The meta object literal for the '<em><b>Set Refinement</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT___ADD_VALUE_STATE__STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT___ADD_VALUE_STATE__STRING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENT___ADD_VALUE_STATE__STRING</pre>
<div class="block">The meta object literal for the '<em><b>Add Value State</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENT___ADD_VALUE_STATES__ELIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENT___ADD_VALUE_STATES__ELIST</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENT___ADD_VALUE_STATES__ELIST</pre>
<div class="block">The meta object literal for the '<em><b>Add Value States</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass REFINEMENTS</pre>
<div class="block">The meta object literal for the '<a href="../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinements</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><code>RefinementsImpl</code></a>, 
<a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getRefinements--"><code>RefinementsPackageImpl.getRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="REFINEMENTS__ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS__ID</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute REFINEMENTS__ID</pre>
<div class="block">The meta object literal for the '<em><b>Id</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS__REFINEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS__REFINEMENTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference REFINEMENTS__REFINEMENTS</pre>
<div class="block">The meta object literal for the '<em><b>Refinements</b></em>' containment reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS__COMPOSEDREFINEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS__COMPOSEDREFINEMENTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference REFINEMENTS__COMPOSEDREFINEMENTS</pre>
<div class="block">The meta object literal for the '<em><b>Composedrefinements</b></em>' containment reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS___ADD_REFINEMENT__REFINEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___ADD_REFINEMENT__REFINEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENTS___ADD_REFINEMENT__REFINEMENT</pre>
<div class="block">The meta object literal for the '<em><b>Add Refinement</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS___SAVE_REFINEMENTS__STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___SAVE_REFINEMENTS__STRING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENTS___SAVE_REFINEMENTS__STRING</pre>
<div class="block">The meta object literal for the '<em><b>Save Refinements</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</pre>
<div class="block">The meta object literal for the '<em><b>Index Of Refinement</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS___GET_REFINEMENT__INT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___GET_REFINEMENT__INT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENTS___GET_REFINEMENT__INT</pre>
<div class="block">The meta object literal for the '<em><b>Get Refinement</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</pre>
<div class="block">The meta object literal for the '<em><b>Set Refinement</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</pre>
<div class="block">The meta object literal for the '<em><b>Find Refinements By Reference</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS___REMOVE_REFINEMENT__INT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___REMOVE_REFINEMENT__INT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENTS___REMOVE_REFINEMENT__INT</pre>
<div class="block">The meta object literal for the '<em><b>Remove Refinement</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REFINEMENTS___GET_REPLACE_INDEX__ELIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFINEMENTS___GET_REPLACE_INDEX__ELIST</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EOperation REFINEMENTS___GET_REPLACE_INDEX__ELIST</pre>
<div class="block">The meta object literal for the '<em><b>Get Replace Index</b></em>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass COMPOSED_REFINEMENTS</pre>
<div class="block">The meta object literal for the '<a href="../../../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Composed Refinements</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/impl/ComposedRefinementsImpl.html" title="class in refinement.model.refinements.impl"><code>ComposedRefinementsImpl</code></a>, 
<a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getComposedRefinements--"><code>RefinementsPackageImpl.getComposedRefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS__NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS__NAME</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute COMPOSED_REFINEMENTS__NAME</pre>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS__DESCRIPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS__DESCRIPTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute COMPOSED_REFINEMENTS__DESCRIPTION</pre>
<div class="block">The meta object literal for the '<em><b>Description</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="COMPOSED_REFINEMENTS__DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSED_REFINEMENTS__DATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute COMPOSED_REFINEMENTS__DATE</pre>
<div class="block">The meta object literal for the '<em><b>Date</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="STATES">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STATES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum STATES</pre>
<div class="block">The meta object literal for the '<a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code><em>States</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><code>States</code></a>, 
<a href="../../../refinement/model/refinements/impl/RefinementsPackageImpl.html#getStates--"><code>RefinementsPackageImpl.getStates()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../refinement/model/refinements/States.html" title="enum in refinement.model.refinements"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?refinement/model/refinements/RefinementsPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="RefinementsPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
